libwpg: libwpg::WPGPath Class Reference documentation

# libwpg::WPGPath Class Reference

`#include <WPGPath.h>`

List of all members.

## Public Member Functions
| WPGPath ()
| ~WPGPath ()
| WPGPath (const WPGPath &)
WPGPath & | operator= (const WPGPath &)
unsigned | count () const
WPGPathElement | element (unsigned index) const
void | moveTo (const WPGPoint &point)
void | lineTo (const WPGPoint &point)
void | curveTo (const WPGPoint &c1, const WPGPoint &c2, const WPGPoint &endPoint)
void | addElement (const WPGPathElement &elem)
void | append (const WPGPath &path)
## Public Attributes
bool | closed
## Private Attributes
WPGPathPrivate * | d

## Constructor & Destructor Documentation

libwpg::WPGPath::WPGPath | ( |  | ) |

libwpg::WPGPath::~WPGPath | ( |  | ) |

libwpg::WPGPath::WPGPath | ( | const WPGPath & | path | ) |

## Member Function Documentation

libwpg::WPGPath & libwpg::WPGPath::operator= | ( | const WPGPath & | path | ) |

unsigned libwpg::WPGPath::count | ( |  | ) | const

Referenced by append(), and libwpg::WPGSVGGenerator::drawPath().

libwpg::WPGPathElement libwpg::WPGPath::element | ( | unsigned | index | ) | const

Referenced by append(), and libwpg::WPGSVGGenerator::drawPath().

void libwpg::WPGPath::moveTo | ( | const WPGPoint & | point | ) |

Referenced by WPG1Parser::handleCurvedPolyline(), WPG2Parser::handlePolycurve(), and WPG2Parser::handlePolyline().

void libwpg::WPGPath::lineTo | ( | const WPGPoint & | point | ) |

Referenced by WPG2Parser::handlePolyline().

void libwpg::WPGPath::curveTo | ( | const WPGPoint & | c1,
|  | const WPGPoint & | c2,
|  | const WPGPoint & | endPoint |
| ) |  |  |

Referenced by WPG1Parser::handleCurvedPolyline(), and WPG2Parser::handlePolycurve().

void libwpg::WPGPath::addElement | ( | const WPGPathElement & | elem | ) |

Referenced by append(), curveTo(), lineTo(), and moveTo().

void libwpg::WPGPath::append | ( | const WPGPath & | path | ) |

## Member Data Documentation

bool libwpg::WPGPath::closed

Referenced by libwpg::WPGSVGGenerator::drawPath(), WPG2Parser::flushCompoundPolygon(), WPG1Parser::handleCurvedPolyline(), and WPG2Parser::handlePolycurve().

WPGPathPrivate* libwpg::WPGPath::d`[private]`

Referenced by addElement(), count(), element(), operator=(), WPGPath(), and ~WPGPath().

The documentation for this class was generated from the following files:

- WPGPath.h
- WPGPath.cpp